{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('notification/delete') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('notification/delete') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('notification_overview') }}" class="me-2 d-flex align-items-center text-decoration-none">
            <i class="material-icons md-36">arrow_back</i>
        </a>
        <span class="text-primary fs-5 align-self-center">Benachrichtigung löschen</span>
        {{ form_widget(notificationDeleteForm.delete, {'label': 'LÖSCHEN', 'id': notificationDeleteForm.delete.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading delete-button ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4">
            <div class="p-4">
                <h1 class="fs-4 d-flex align-items-center">
                    <span class="material-icons me-2 text-danger">warning_amber</span>
                    Die Benachrichtigung wird unwiderruflich gelöscht.
                </h1>
                <p>
                    Um die Benachrichtigung endgültig zu löschen, müssen Sie zuerst den folgenden Code eingeben:
                    <span class="delete-code">benachrichtigung_{{ notification.getId() }}</span>
                </p>
                {{ form_start(notificationDeleteForm, {'attr': {'id': notificationDeleteForm.vars.id ~ '_form'}}) }}
                {% include 'notification/form/notification_delete_form.html.twig' with {'form': notificationDeleteForm} only %}
                {{ form_row(notificationDeleteForm._token) }}
                {{ form_end(notificationDeleteForm, {'render_rest': false}) }}
            </div>
        </div>
    </div>
{% endblock %}
